# Asterisk Project : Asterisk 12 Function_SORT

Added by wikibot , edited by wikibot on Aug 29, 2013

# SORT()

### Synopsis

Sorts a list of key/vals into a list of keys, based upon the vals.

### Description

Takes a comma-separated list of keys and values, each separated by a colon, and returns a comma-separated list of the keys, sorted by their values. Values will be evaluated as floating-point numbers.

### Syntax

    SORT(keyval,keyvaln[,...])

##### Arguments

- `keyval`
  - `key1`
  - `val1`
- `keyvaln`
  - `key2`
  - `val2`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown